| Home | Libraries | People | FAQ | More

#### buffers_prefix_view

A buffer sequence adaptor that shortens the sequence size.

##### Synopsis

Defined in header `<boost/beast/core/buffers_prefix.hpp>`

    template<
        class BufferSequence>
    class buffers_prefix_view

##### Types

Name | Description
--- | ---
const_iterator | A bidirectional iterator type that may be used to read elements.
value_type | The type for each element in the list of buffers.

##### Member Functions

Name | Description
--- | ---
begin | Returns an iterator to the first buffer in the sequence.
buffers_prefix_view | Copy Constructor. Construct a buffer sequence prefix. Construct a buffer sequence prefix in-place.
end | Returns an iterator to one past the last buffer in the sequence.
operator= | Copy Assignment.

##### Description

The class adapts a buffer sequence to efficiently represent a shorter subset of the original list of buffers starting with the first byte of the original sequence.

##### Template Parameters

Type | Description
--- | ---
`BufferSequence` | The buffer sequence to adapt.

Convenience header `<boost/beast/core.hpp>`